Skip to main content

Payments summary

You can use this call to retrieve a summary of the payments made with an iDEAL QR transaction.

Prerequisite​

Get an access_token and use it as 'Bearer' token in your request. Find more details here.

Request​

GET https://api.pay.cm.com/api/v1/paymentmethods/idealqr/v1/transactions/{transactionId}/summary?status=SUCCESS

Optional Query Parameters​

ParameterTypeDescriptionConstraints
statusStringIndicate the status of the payments to be considered when creating the summary.The available statuses are: [ OPEN, SUCCESS, FAILURE, CANCELLED, EXPIRED ].

Response​

[
{
"status": "SUCCESS",
"count": 2,
"amount": 1200
}
]

Parameters​

ParameterTypeDescriptionConstraints
array of summary itemsArray of summaryItem objectsIndicates amount and number of payments grouped by transaction status.

Response codes​

HTTP statusDescription
200Transaction payments summary successfully retrieved.
4XXClient error response (See message for details). This response is given when the User input was incorrect or something illegal was attempted (eg. using a service without having that service configured for the user, or not being authorized).
5XXServer error response (See message for details).